프로그램 설치후 실행이 안됩니다

Flumen이라는 프로그램입니다.
홈페이지/다운로드 "http://www.fluvial.ch/download.html"

홈페이지에 가보니 설치방법은

Installation on Linux systems:
copy file ‘name.tgz’ to a program directory
uncompress archive with: tar xvzf name.tgz

설치는 다운받고 압축풀면 끝인데(본 커뮤니티에 2011년에 올라온 글이 있길래 참고도 했습니다.)
실행파일로 실행을 했더니 다음과 같은 에러 코드가 뜨네요.

./flumen: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory

다시 다운 받아 새로 설치해 보았지만 실패.
혹시 다른 폴더에 설치하면 되려나 했지만 실패.
구글링 해본 결과 "sudo apt-get install libX11-6"요거 써넣으면 된다 해서 써넣었더니
"libX11-6 패키지가 이미 최신 버전입니다.블라블라"라는 메세지가 뜨네요 여전히 실행이 안됩니다.

리눅스 처음 사용해 봅니다ㅠ. 버젼은 우분투 14.04.XX LTS(무조건 소프트웨어 업데이트 시킴 ㅎ)입니다.
어떻게 해야 실행이 될까요? 도움 부탁드릴께요 ㅠ

[url:ot3agqou]http://ubuntuforums.org/showthread.php?t=2199929[/url:ot3agqou]

위 글에 program은 다르지만, 똑같은 경우에 대해서 이야기가 나오는데요.

한마디로 64-bit computer에 32-bit program을 설치해서 그렇다는군요.

통상 리눅스 앱은 32비트와 64비트를 따로 따로 해서 2개를 배포하는데, 링크해 주신 웹 사이트에 들어가보니 하나 밖에 없더군요. 그로 미루어보아 32비트 프로그램이 아닌가 생각합니다.

즉, 64-bit coomputer이니 32-bit X11 library가 없는데, 32-bit app이 그것을 찾으려니 없다는 것이죠.

해결 방법은 ?

[1] 32-bit X11 library 설치 : 위 글에 나온 해법입니다.

[code:ot3agqou]sudo apt-get install libx11-6:i386[/code:ot3agqou]

[2] Virtualbox에 32-bit linux 설치해서 거기에 설치

그렇다네요… 해보진 않아서 모릅니다. 참고하세요.

우선 제 글 읽어 주시고
답변해주신 happyman님 정말 감사합니다.

답변 주신 방법 중 1번으로 해결했습니다. ^^